FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > ArchLinux > ArchLinux General Discussion

 
 
LinkBack Thread Tools
 
Old 04-01-2010, 07:19 AM
"David C. Rankin"
 
Default new pacman error: vercmp: error while loading shared libraries: libssl.so.0.9.8

Guys,

After the pacman update tonight, I am getting errors every once in a while
during updates that say:

vercmp: error while loading shared libraries: libssl.so.0.9.8: cannot open
shared object file: No such file or directory
/tmp/alpm_DBOUwW/.INSTALL: line 8: [: -lt: unary operator expected

It doesn't seem to be hurting anything, but didn't know if I needed to do
anything else about it. What say the gurus?


--
David C. Rankin, J.D.,P.E.
Rankin Law Firm, PLLC
510 Ochiltree Street
Nacogdoches, Texas 75961
Telephone: (936) 715-9333
Facsimile: (936) 715-9339
www.rankinlawfirm.com
 
Old 04-01-2010, 07:26 AM
Allan McRae
 
Default new pacman error: vercmp: error while loading shared libraries: libssl.so.0.9.8

On 01/04/10 17:19, David C. Rankin wrote:

Guys,

After the pacman update tonight, I am getting errors every once in a while
during updates that say:

vercmp: error while loading shared libraries: libssl.so.0.9.8: cannot open
shared object file: No such file or directory
/tmp/alpm_DBOUwW/.INSTALL: line 8: [: -lt: unary operator expected

It doesn't seem to be hurting anything, but didn't know if I needed to do
anything else about it. What say the gurus?



I guess you are using testing and did not reading the warning not to
update on arch-dev-public.
 
Old 04-01-2010, 09:11 AM
"David C. Rankin"
 
Default new pacman error: vercmp: error while loading shared libraries: libssl.so.0.9.8

On 04/01/2010 02:26 AM, Allan McRae wrote:
> On 01/04/10 17:19, David C. Rankin wrote:
>> Guys,
>>
>> After the pacman update tonight, I am getting errors every once in
>> a while
>> during updates that say:
>>
>> vercmp: error while loading shared libraries: libssl.so.0.9.8: cannot
>> open
>> shared object file: No such file or directory
>> /tmp/alpm_DBOUwW/.INSTALL: line 8: [: -lt: unary operator expected
>>
>> It doesn't seem to be hurting anything, but didn't know if I needed to do
>> anything else about it. What say the gurus?
>>
>
> I guess you are using testing and did not reading the warning not to
> update on arch-dev-public.
>

You're good Allan,

Where is the testing stuff posted so I can read it before I update? Right now,
X is dead due to libcrypto.so.0.9.8. By chance does the post also contain a
work-around for those, like me, that updated before having read said warning :-)

--
David C. Rankin, J.D.,P.E.
Rankin Law Firm, PLLC
510 Ochiltree Street
Nacogdoches, Texas 75961
Telephone: (936) 715-9333
Facsimile: (936) 715-9339
www.rankinlawfirm.com
 
Old 04-01-2010, 09:14 AM
"David C. Rankin"
 
Default new pacman error: vercmp: error while loading shared libraries: libssl.so.0.9.8

On 04/01/2010 04:11 AM, David C. Rankin wrote:
> You're good Allan,
>
> Where is the testing stuff posted so I can read it before I update? Right now,
> X is dead due to libcrypto.so.0.9.8. By chance does the post also contain a
> work-around for those, like me, that updated before having read said warning :-)

Read it now :-(

No worries, I'll just wait -- that's what 'testing' boxes are for. No impact if
they are down for a while

--
David C. Rankin, J.D.,P.E.
Rankin Law Firm, PLLC
510 Ochiltree Street
Nacogdoches, Texas 75961
Telephone: (936) 715-9333
Facsimile: (936) 715-9339
www.rankinlawfirm.com
 
Old 04-01-2010, 09:15 AM
Allan McRae
 
Default new pacman error: vercmp: error while loading shared libraries: libssl.so.0.9.8

On 01/04/10 19:11, David C. Rankin wrote:

On 04/01/2010 02:26 AM, Allan McRae wrote:

On 01/04/10 17:19, David C. Rankin wrote:

Guys,

After the pacman update tonight, I am getting errors every once in
a while
during updates that say:

vercmp: error while loading shared libraries: libssl.so.0.9.8: cannot
open
shared object file: No such file or directory
/tmp/alpm_DBOUwW/.INSTALL: line 8: [: -lt: unary operator expected

It doesn't seem to be hurting anything, but didn't know if I needed to do
anything else about it. What say the gurus?



I guess you are using testing and did not reading the warning not to
update on arch-dev-public.



You're good Allan,

Where is the testing stuff posted so I can read it before I update?


On the arch-dev-public mailing list.


Right now,
X is dead due to libcrypto.so.0.9.8. By chance does the post also contain a
work-around for those, like me, that updated before having read said warning :-)


Remove the [testing] entry in pacman.conf and pacman -Syuu (yes, two uu's)

Allan
 

Thread Tools




All times are GMT. The time now is 02:56 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org